> ## Documentation Index
> Fetch the complete documentation index at: https://docs.convocore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Variable

> Deletes a variable, this route must use the new V3 [endpoints](/api-reference/v3/intro).

<Warning>
  **This action is irreversible.** Deleting a variable permanently removes it and any references to it in agent instructions (`{{var:id}}`) will no longer work.
</Warning>

<Note>
  Tools using this variable will not automatically update. Review tool configurations after deletion.
</Note>


## OpenAPI

````yaml DELETE /variables/{variableId}
openapi: 3.0.3
info:
  title: Convocore OpenAPI
  description: Full API reference for Convocore
  version: 1.0.4
servers:
  - url: https://eu-gcp-api.vg-stuff.com/v3
    description: EU Node.js API server
  - url: https://na-gcp-api.vg-stuff.com/v3
    description: NA Node.js API server
security: []
paths:
  /variables/{variableId}:
    delete:
      tags:
        - Variables
      summary: Delete a variable by id
      operationId: variableRouter-deleteVariable
      parameters:
        - name: variableId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      success:
                        type: boolean
                      message:
                        type: string
                    required:
                      - success
                      - message
                    additionalProperties: false
                  - {}
        default:
          $ref: '#/components/responses/error'
      security:
        - Authorization: []
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````